package cn.rankin.data.api.app.dto;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@ToString
public class LoginInfoDTO implements Serializable {

    @NotNull
    private String deviceCode;

    private String merchant;

    @NotNull
    private String eid;

    @NotNull
    private String password;

    private String ip;

    private String terminal;

    //设备名称
    private String deviceName;

    //设备型号
    private String deviceModel;

    //设备厂商
    private String deviceMfrs;

    //设备类型
    private String deviceType;

}
