package cn.rankin.data.api.auth.dto;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

@Data
@ToString
public class AuthDTO implements Serializable {

    private String id;

    // 为鉴权中心的uid，与本地uid不同
    private String uid;

    private String gid;

    private String pid;

    private Integer type;

    private String bizCode;

    private String title;

    // 开始日期
    private Date startTime;

    // 结束日期
    private Date endTime;

    private Integer addDays;

}
