package cn.rankin.data.api.user.dto;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.EventTypeEnum;
import cn.rankin.common.utils.enums.PlatformTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;


@Data
@ToString
public class DownloadInfoDTO implements Serializable {

    private String id;

    private String userId;

    private String merchantId;

    private String lessonId;

    private String lessonName;

    private String courseId;

    private String courseName;

    private EventTypeEnum eventType;

    private String deviceType;

    private String mac;

    private String ip;

    private String deviceVersion;

    //资源总数
    private int resTotal;

    //已转码资源数
    private int resSize;

    private String data;

    private Integer needUpdate;

    private int downloadStatus;

    private PlatformTypeEnum platformType;

    private BaseStatusEnum status;

    private Date gmtCreated;

    private Date gmtModified;



}



