package cn.rankin.cmsweb.service.user;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.data.api.user.dto.CampusDTO;
import cn.rankin.data.api.user.entity.UserDevice;
import cn.rankin.data.api.user.vo.CampusVo;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@FeignClient(name = "${service.user.name}")
public interface UserDeviceService
{
    @RequestMapping(value = "/userDevice/list/{uid}", method = RequestMethod.GET)
    List<UserDevice> findByCondition(@PathVariable("uid") String uid);
}
