package cn.rankin.common.utils.enums;

public enum EventTypeEnum {

    DOWNLOAD("DOWNLOAD"), DELETE("DELETE"), UPDATE("UPDATE");

    private String desc;

    EventTypeEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public static EventTypeEnum getByName(String name) {
        if (name == null) {
            return null;
        }
        for (EventTypeEnum favoritesType : values()) {
            if (favoritesType.name().equals(name)) {
                return favoritesType;
            }
        }
        return null;
    }
}

