package cn.rankin.userservice.utils;

import cn.rankin.data.api.auth.vo.AuthVo;
import cn.rankin.data.api.user.entity.TerminalUser;
import cn.rankin.data.api.user.vo.TerminalUserAuthVo;

public class Converter {


    public static TerminalUserAuthVo getTerminalUserAuthVo(TerminalUser termianlUser, AuthVo authVo) {
        TerminalUserAuthVo vo = new TerminalUserAuthVo();

        vo.setId(authVo.getId());
        vo.setCreateTime(authVo.getCreateTime());
        vo.setBizCode(authVo.getBizCode());
        vo.setEndTime(authVo.getEndTime());
        vo.setGid(authVo.getGid());
        vo.setStartTime(authVo.getStartTime());
        vo.setStatus(authVo.getStatus());
        vo.setType(authVo.getType());
        vo.setUpdateTime(authVo.getUpdateTime());
        vo.setPid(authVo.getPid());
        vo.setUid(authVo.getUid());
        vo.setTitle(authVo.getTitle());

        if(null != termianlUser){
            vo.setUCode(termianlUser.getCode());
            vo.setUName(termianlUser.getName());
        }

        return vo;
    }
}
